Create a failure group
curl --request POST \
--url https://api.empirical.run/api/failure-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"diagnosis": "<string>",
"recommendation": "<string>",
"fingerprint": {
"signals": [
{
"kind": "<string>",
"value": "<string>",
"weight": 123,
"data": {}
}
]
},
"matcher": {
"source": "<string>",
"description": "<string>",
"contract_version": 1
},
"source_run_id": 123
}
'import requests
url = "https://api.empirical.run/api/failure-groups"
payload = {
"label": "<string>",
"diagnosis": "<string>",
"recommendation": "<string>",
"fingerprint": { "signals": [
{
"kind": "<string>",
"value": "<string>",
"weight": 123,
"data": {}
}
] },
"matcher": {
"source": "<string>",
"description": "<string>",
"contract_version": 1
},
"source_run_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
diagnosis: '<string>',
recommendation: '<string>',
fingerprint: {signals: [{kind: '<string>', value: '<string>', weight: 123, data: {}}]},
matcher: {source: '<string>', description: '<string>', contract_version: 1},
source_run_id: 123
})
};
fetch('https://api.empirical.run/api/failure-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"failure_group": {
"id": "<string>",
"project_id": 123,
"label": "<string>",
"diagnosis": "<string>",
"recommendation": "<string>",
"fingerprint": {
"signals": [
{
"kind": "<string>",
"value": "<string>",
"weight": 123,
"data": {}
}
]
},
"matcher": {
"source": "<string>",
"description": "<string>",
"contract_version": 1
},
"resolved_at": "<string>",
"first_seen_at": "<string>",
"last_seen_at": "<string>",
"last_test_run_id": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}Failure Groups
Create a failure group
Creates a durable failure group for a new failure mode. Idempotent on (project, label): an existing label returns the existing group unchanged.
POST
/
api
/
failure-groups
Create a failure group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Human label for the failure mode (the group_key).
Minimum string length:
1app or test issue.
Available options:
app, test Markdown root-cause summary.
What to do next.
Identifying signals for future matching.
Show child attributes
Show child attributes
The group's matcher function for future auto-matching. Attribution is derived from the caller, never the body.
Show child attributes
Show child attributes
Run this diagnosis is based on (provenance).
Response
The failure group.
Response payload.
Show child attributes
Show child attributes
Was this page helpful?
⌘I